# $Revision: 1.22 $, $Date: 2004/04/04 13:58:32 $
Summary:	Printed Circuit Board design tool
Summary(pl):	PCB - narzdzie do projektowania pytek drukowanych
Name:		pcb
Version:	1.6.3
Release:	6
License:	GPL
Group:		X11/Applications
# devel snaps: http://dl.sourceforge.net/pcb/
Source0:	ftp://ftp.uni-ulm.de/pub/pcb/mirror/%{name}-%{version}.tgz
# Source0-md5:	2649927fd49b89d71a524082b633849e
Patch0:		%{name}-info.patch
# http://bach.ece.jhu.edu/~haceaton/pcb/glibc.patch
Patch1:		%{name}-glibc.patch
URL:		http://pcb.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
Pcb is a handy tool for the X Window System build to design printed
circuit boards.

%description -l pl
Pcb jest podrcznym narzdziem pod X Window System do projektowania
pytek drukowanych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__perl} -pi -e 's@\\/usr\\/X11R6\\/lib\\/X11\\/pcb@%(echo %{_datadir}/pcb | sed -e 's@/@\\\\/@g')@' src/sed.script

%build
xmkmf -a
%{__make} -i \
	CC=%{__cc} \
	CDEBUGFLAGS="%{rpmcflags}" \
	PCBLIBDIR=%{_datadir}/pcb
	
%{__make} -C doc pcb.man pcb.info
%{__make} -C src Pcb.ad

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_infodir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PCBLIBDIR=%{_datadir}/pcb \
	BINDIR=%{_bindir}

%{__make} -C doc install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}/man1

install doc/pcb.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README_FILES/* doc.ps/refcard.ps* example
%attr(755,root,root) %{_bindir}/pcb
%{_appdefsdir}/Pcb
%{_datadir}/pcb
%{_mandir}/man1/*
%{_infodir}/pcb.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcb.spec,v $
Revision 1.22  2004/04/04 13:58:32  qboosh
- added glibc.patch, fixed appdefsdir, moved pcb data to /usr/share
- release 6 for Ac

Revision 1.21  2003/05/28 13:00:15  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.18  2002/09/05 13:42:48  qboosh
- added workaround for -D_XOPEN_SOURCE that breaks <varargs.h> on alpha
- new %%doc, release 5

Revision 1.17  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:23  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/12/05 07:24:01  kloczek
- typos.

Revision 1.13  2001/12/01 16:59:57  kloczek
- added BuildRequires tules,
- do not include all documentation (onlu refcard.ps),
- added info patch (added info index entry),
- simplifications in %build and %install
- added %post/%postun with regenerate info index,
NOTE: it will be good add png icon and desktop file for pcb.

Revision 1.12  2001/11/29 21:34:38  filon
- fixed and modified broken docs
- release 4

Revision 1.11  2001/10/09 09:45:53  qboosh
- adapterized, added pl translations, gzip some %%doc

Revision 1.10  2001/10/09 09:28:35  cieciwa
- release 3,
- fixed problem with man install.

Revision 1.9  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/06/07 04:21:51  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.5  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2

* Tue May 26 1998 Michael Maher <mike@redhat.com>
- built package
